HP LaserJet Pro M1136 plugin not installing [SOLVED]

Forum rules
Before you post please read this
Post Reply
rkakkar
Level 1
Level 1
Posts: 6
Joined: Sat Dec 22, 2018 7:24 am

HP LaserJet Pro M1136 plugin not installing [SOLVED]

Post by rkakkar »

Hi,

While my printer got detected automatically in LM 19, whenever I try to print, the print status would go from processing -> stopped without printing anything. So I tried installing the hp-plugin and I get the attached error message, even though I feel the packages are installed. Can someone assist?
Screenshot from 2019-01-29 10-52-58.png
111.png
2222.png
Thanks
Last edited by rkakkar on Tue Jan 29, 2019 3:55 pm, edited 1 time in total.
brian_p
Level 7
Level 7
Posts: 1625
Joined: Thu Jan 17, 2019 9:20 am

Re: HP LaserJet Pro M1136 plugin not installing

Post by brian_p »

You have replaced Mint's perfectly adequate HPLIP version (3.17.10) with version 3.19.1. Why, oh why? If you intend to stick with that version, download the plugin from

https://www.openprinting.org/download/p ... P/plugins/

and install it with

Code: Select all

hp-plugin -i
--
Brian.
User avatar
ClixTrix
Level 6
Level 6
Posts: 1069
Joined: Wed Dec 09, 2015 11:40 am
Location: Columbus, Ohio, USA

Re: HP LaserJet Pro M1136 plugin not installing

Post by ClixTrix »

If you uninstalled the older version of hplip prior to install of the newer, that is a problem. The hpilip installer does the selective uninstall and update to newer version as part of the install routine.

If you are using Timeshift, I'd recommend you restore back to a time prior to the uninstall of the bundled hplip.
Linux Mint 19.2 x64 Cinnamon 4.15.0-118-generic
Gigabyte GA-AB350M-D3H (F20) / Ryzen 5 1600 / Micron Ballistix Sport DDR4 2400 2x8GB / Sapphire Radeon HD6450
NVMe-SSD: Samsung 960 EVO 250GB / SATA-SSD: Samsung 850 EVO 250GB + Toshiba OCZ VX500 512GB
cliffcoggin
Level 7
Level 7
Posts: 1504
Joined: Sat Sep 17, 2016 6:40 pm
Location: England

Re: HP LaserJet Pro M1136 plugin not installing

Post by cliffcoggin »

Look for your printer on this page to find the minimum version of HPLIP it needs. If your distribution has a lower version of HPLIP it may recognise the printer but not work properly, so you will need to update to the minimum version to get full functionality.

https://developers.hp.com/hp-linux-imag ... ices/index
Cliff Coggin
brian_p
Level 7
Level 7
Posts: 1625
Joined: Thu Jan 17, 2019 9:20 am

Re: HP LaserJet Pro M1136 plugin not installing

Post by brian_p »

If you intend to stick with that version, download the plugin from

https://www.openprinting.org/download/p ... P/plugins/
It appears that not a single person who read this could be bothered to check the link and to say that the 3.19.1 plugin file was not there. So much for oversight!

https://developers.hp.com/sites/default ... plugin.run
--
Brian.
rkakkar
Level 1
Level 1
Posts: 6
Joined: Sat Dec 22, 2018 7:24 am

Re: HP LaserJet Pro M1136 plugin not installing

Post by rkakkar »

ClixTrix wrote:
Tue Jan 29, 2019 11:42 am
If you uninstalled the older version of hplip prior to install of the newer, that is a problem. The hpilip installer does the selective uninstall and update to newer version as part of the install routine.

If you are using Timeshift, I'd recommend you restore back to a time prior to the uninstall of the bundled hplip.
This worked! Apparently latest is not always the greatest. Stick with the one that is bundled with the system. Thanks everyone!
brian_p
Level 7
Level 7
Posts: 1625
Joined: Thu Jan 17, 2019 9:20 am

Re: HP LaserJet Pro M1136 plugin not installing [SOLVED]

Post by brian_p »

This worked! Apparently latest is not always the greatest. Stick with the one that is bundled with the system. Thanks everyone!
The system version is supported and has been tested over a greater length of time. As you have discovered, the latest brings its own bugs with it. Version 3.19.1 plugin has generated quite a number of adverse reports.
--
Brian.
brian_p
Level 7
Level 7
Posts: 1625
Joined: Thu Jan 17, 2019 9:20 am

Re: HP LaserJet Pro M1136 plugin not installing [SOLVED]

Post by brian_p »

The system version is supported and has been tested over a greater length of time. As you have discovered, the latest brings its own bugs with it. Version 3.19.1 plugin has generated quite a number of adverse reports.
I suppose I am not the only one who did not read the Release Notes:

https://developers.hp.com/hp-linux-imag ... ease_notes
--
Brian.
Post Reply

Return to “Printers & Scanners”